org.apache.activemq.artemis.spi.core.security.scram

## Enum SCRAM

- java.lang.Object
- - java.lang.Enum<SCRAM>
  - - org.apache.activemq.artemis.spi.core.security.scram.SCRAM

- All Implemented Interfaces:
    Serializable, Comparable<SCRAM>

      public enum SCRAM
      extends Enum<SCRAM>

  Defines sets of known SCRAM types with methods to fetch matching digest and hmac names

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SHA256`
    `SHA512`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDigest()`
    `String` | `getHmac()`
    `String` | `getName()`
    `static SCRAM` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SCRAM[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHA512

          public static final SCRAM SHA512

    - #### SHA256

          public static final SCRAM SHA256

  - ### Method Detail

    - #### values

          public static SCRAM[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SCRAM c : SCRAM.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SCRAM valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### getDigest

          public String getDigest()

    - #### getHmac

          public String getHmac()

Copyright © 2021 The Apache Software Foundation. All rights reserved.